# Class: RandomBuffer

## RandomBuffer()

Buffer for secure random numbers

## Constructor

#### new RandomBuffer()

Source:
  - crypto/random.js, line 33

### Methods

#### (async) get(buf)

Take numbers out of buffer and copy to array

##### Parameters:

Name | Type | Description
--- | --- | ---
`buf` | Uint8Array | The destination array

Source:
  - crypto/random.js, line 73

#### init(size)

Initialize buffer

##### Parameters:

Name | Type | Description
--- | --- | ---
`size` | Integer | size of buffer

Source:
  - crypto/random.js, line 43

#### set(buf)

Concat array of secure random numbers to buffer

##### Parameters:

Name | Type | Description
--- | --- | ---
`buf` | Uint8Array |

Source:
  - crypto/random.js, line 53